<?php

namespace App\Http\Requests\Expenses;

use App\Http\Requests\ApiFormRequest;

class UpdateExpenseStatusRequest extends ApiFormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    public function rules(): array
    {
        return [
            'status' => ['required', 'in:approved,denied'],
            'reason' => ['nullable', 'string'],
        ];
    }
}
